<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemRunConfiguration boolean readExternalBoolean(org.jdom.Element, java.lang.String, java.util.function.Consumer&lt;java.lang.Boolean&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemJdkProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemEventDispatcher.DefaultOutputMessageDispatcher DefaultOutputMessageDispatcher(java.lang.Object, com.intellij.build.BuildProgressListener, java.util.List&lt;? extends com.intellij.build.output.BuildOutputParser&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemJdkUtil com.intellij.openapi.projectRoots.Sdk addJdk(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.4505.7&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemRunConfiguration void setDebuggingDisabled(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemOutputDispatcherFactory Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemRunConfiguration DEBUG_SERVER_PROCESS_KEY">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemJdkUtil JAVA_HOME">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemRunConfiguration.MyRunnableState void setContentDescriptor(com.intellij.execution.ui.RunContentDescriptor)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.2099.1&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemProcessHandler void disableAnsiTextEscaping()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ProgressExecutionMode NO_PROGRESS_ASYNC">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.5644.15&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemEventDispatcher com.intellij.openapi.externalSystem.service.execution.ExternalSystemEventDispatcher append(java.lang.CharSequence)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemJdkUtil java.lang.String getJavaHome()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemJdkUtil com.intellij.openapi.projectRoots.Sdk resolveJdkName(com.intellij.openapi.projectRoots.Sdk, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.6707.61&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemProcessHandler">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.2099.1&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemJdkUtil com.intellij.util.lang.JavaVersion getJavaVersion(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemEventDispatcher.DefaultOutputMessageDispatcher com.intellij.build.output.BuildOutputInstantReaderImpl getOutputReader()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.TaskCompletionProvider TaskCompletionProvider(com.intellij.openapi.project.Project, com.intellij.openapi.externalSystem.model.ProjectSystemId, com.intellij.ui.TextAccessor, org.apache.commons.cli.Options)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemJdkUtil boolean matchJavaVersion(com.intellij.util.lang.JavaVersion, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemExecutionAware.Companion com.intellij.openapi.externalSystem.service.execution.TargetEnvironmentConfigurationProvider getEnvironmentConfigurationProvider(com.intellij.openapi.externalSystem.model.settings.ExternalSystemExecutionSettings)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemRunnableState TASK_NOTIFICATION_LISTENER_KEY">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemRunnableState com.intellij.build.BuildView createBuildView(com.intellij.build.DefaultBuildDescriptor, com.intellij.execution.ui.ExecutionConsole)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemJdkException ExternalSystemJdkException(java.lang.String, java.lang.Throwable, java.lang.String[])">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.4548.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemJdkUtil com.intellij.openapi.projectRoots.Sdk lookupJdkByPath(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemOutputDispatcherFactory com.intellij.openapi.externalSystem.model.ProjectSystemId getExternalSystemId()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemRunConfiguration void setReattachDebugProcess(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemRunnableState">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemProcessHandler com.intellij.openapi.externalSystem.model.task.ExternalSystemTask getTask()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemRunConfiguration void setDebugServerProcess(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemJdkUtil boolean isValidJdk(com.intellij.openapi.projectRoots.Sdk)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemProcessHandler ExternalSystemProcessHandler(com.intellij.openapi.externalSystem.model.task.ExternalSystemTask, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3622.25&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemRunConfiguration boolean isReattachDebugProcess()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemJdkUtil com.intellij.openapi.projectRoots.Sdk resolveDependentJdk(com.intellij.openapi.projectRoots.Sdk)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemExecutionAware void prepareExecution(com.intellij.openapi.externalSystem.model.task.ExternalSystemTask, java.lang.String, boolean, com.intellij.openapi.externalSystem.model.task.ExternalSystemTaskNotificationListener, com.intellij.openapi.project.Project)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemRunnableState boolean isDebugServerProcess()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemJdkUtil java.util.Collection&lt;java.lang.String&gt; suggestJdkHomePaths()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.4505.7&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemRunConfiguration.MyRunnableState java.net.ServerSocket getForkSocket()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.711&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemExecutionAware boolean hasTargetEnvironmentConfiguration(com.intellij.openapi.externalSystem.model.settings.ExternalSystemExecutionSettings)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemRunConfiguration void setSoftProcessKillEnabled(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemOutputParserProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3415.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemExecutionAware">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemExecutionAware com.intellij.openapi.externalSystem.service.execution.TargetEnvironmentConfigurationProvider getEnvironmentConfigurationProvider(com.intellij.openapi.externalSystem.service.execution.ExternalSystemRunConfiguration, com.intellij.openapi.project.Project)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemRunnableState PROGRESS_INDICATOR_KEY">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemRunConfiguration RUN_INPUT_KEY">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2465.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemExecutionAware boolean isRemoteRun(com.intellij.openapi.externalSystem.service.execution.ExternalSystemRunConfiguration, com.intellij.openapi.project.Project)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemRunConfigurationViewManager">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.6682.168&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.DefaultExternalSystemJdkProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemExecutionAware.Companion boolean hasTargetEnvironmentConfiguration(com.intellij.openapi.externalSystem.model.settings.ExternalSystemExecutionSettings)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.AbstractExternalSystemTaskConfigurationType java.lang.String getConfigurationFactoryId()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemRunnableState DEBUGGER_DISPATCH_PORT_KEY">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.6911.18&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemEventDispatcher com.intellij.openapi.externalSystem.service.execution.ExternalSystemEventDispatcher append(java.lang.CharSequence, int, int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemOutputParserProvider java.util.List&lt;com.intellij.build.output.BuildOutputParser&gt; getBuildOutputParsers(com.intellij.openapi.externalSystem.model.task.ExternalSystemTaskId)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemRunConfiguration void writeExternalBoolean(org.jdom.Element, java.lang.String, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemRunnableState DEBUGGER_PARAMETERS_KEY">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemOutputDispatcherFactory">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemJdkUtil com.intellij.openapi.projectRoots.Sdk lookupJdkByName(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemRunConfiguration boolean isDebuggingDisabled()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemJdkUtil boolean isValidJdk(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.4127.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.AbstractExternalSystemTaskConfigurationType boolean isEditableInDumbMode()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.AbstractExternalSystemRunConfigurationProducer">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;145.1616.11&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemRunnableState BUILD_PROCESS_DEBUGGER_PORT_KEY">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.6911.18&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemExecutionAware void setEnvironmentConfigurationProvider(com.intellij.openapi.externalSystem.model.settings.ExternalSystemExecutionSettings, com.intellij.openapi.externalSystem.service.execution.TargetEnvironmentConfigurationProvider)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemOutputMessageDispatcher void invokeOnCompletion(java.util.function.Consumer&lt;java.lang.Throwable&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemRunConfiguration boolean isDebugServerProcess()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemRunnableState boolean isReattachDebugProcess()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemRunnableState DEBUGGER_DISPATCH_ADDR_KEY">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemRunConfiguration PROGRESS_LISTENER_KEY">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.2099.1&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemEventDispatcher com.intellij.openapi.externalSystem.service.execution.ExternalSystemEventDispatcher append(char)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.TargetEnvironmentConfigurationProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemJdkUtilKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.AbstractExternalSystemTaskConfigurationType java.lang.String generateName(com.intellij.openapi.project.Project, com.intellij.openapi.externalSystem.model.ProjectSystemId, java.lang.String, java.util.List&lt;java.lang.String&gt;, java.lang.String, java.lang.String, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.2099.1&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemJdkUtil com.intellij.openapi.projectRoots.Sdk findJdkInSdkTableByPath(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemExecutionAware com.intellij.openapi.externalSystem.service.execution.TargetEnvironmentConfigurationProvider getEnvironmentConfigurationProvider(java.lang.String, boolean, com.intellij.openapi.project.Project)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemEventDispatcher.DefaultOutputMessageDispatcher DefaultOutputMessageDispatcher(com.intellij.build.BuildProgressListener, com.intellij.build.output.BuildOutputInstantReaderImpl)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.AbstractOutputMessageDispatcher">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemOutputDispatcherFactory.Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemJavaSdkProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemJdkUtil boolean isJdk9orLater(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.6911.18&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemJdkUtil java.util.Collection&lt;java.lang.String&gt; suggestJdkHomePaths(com.intellij.openapi.project.Project)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemExecutionAware com.intellij.openapi.externalSystem.service.execution.TargetEnvironmentConfigurationProvider getEnvironmentConfigurationProvider(com.intellij.openapi.externalSystem.model.settings.ExternalSystemExecutionSettings)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemJdkUtilKt java.lang.Object resolveJdkInfo(com.intellij.openapi.roots.ui.configuration.SdkLookupProvider, com.intellij.openapi.project.Project, com.intellij.openapi.projectRoots.Sdk, java.lang.String, kotlin.coroutines.Continuation&lt;? super com.intellij.openapi.roots.ui.configuration.SdkLookupProvider.SdkInfo&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ProgressExecutionMode NO_PROGRESS_SYNC">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.5644.15&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemJdkUtil com.intellij.openapi.projectRoots.SdkType getJavaSdkType()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.4505.7&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemExecutionAware.Companion void setEnvironmentConfigurationProvider(com.intellij.openapi.externalSystem.model.settings.ExternalSystemExecutionSettings, com.intellij.openapi.externalSystem.service.execution.TargetEnvironmentConfigurationProvider)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemEventDispatcher">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.execution.ExternalSystemOutputMessageDispatcher">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
</root>
